/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

	/**
	 * 是否是实体数据导出
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public isDEExport: boolean = false;

	/**
	 * 获取数据项集合
	 *
	 * @returns {any[]}
	 * @memberof MainGridMode
	 */
	public getDataItems(): any[] {
    if(this.isDEExport){
		  return [
      ]
    }else{
		  return [
        {
          name: 'eqtypeinfo',
          prop: 'eqtypeinfo',
          dataType: 'TEXT',
        },
        {
          name: 'eqtypepid',
          prop: 'eqtypepid',
          dataType: 'PICKUP',
        },
        {
          name: 'updateman',
          prop: 'updateman',
          dataType: 'TEXT',
        },
        {
          name: 'updatedate',
          prop: 'updatedate',
          dataType: 'DATETIME',
        },
        {
          name: 'srfmajortext',
          prop: 'emeqtypename',
          dataType: 'TEXT',
        },
        {
          name: 'srfdataaccaction',
          prop: 'emeqtypeid',
          dataType: 'GUID',
        },
        {
          name: 'srfkey',
          prop: 'emeqtypeid',
          dataType: 'GUID',
        },
        {
          name: 'emeqtype',
          prop: 'emeqtypeid',
        },
      {
        name: 'eqtypecode',
        prop: 'eqtypecode',
        dataType: 'TEXT',
      },
      {
        name: 'n_emeqtypename_like',
        prop: 'n_emeqtypename_like',
        dataType: 'TEXT',
      },
      {
        name: 'eqtypepname',
        prop: 'eqtypepname',
        dataType: 'PICKUPTEXT',
      },
      {
        name: 'eqtypegroup',
        prop: 'eqtypegroup',
        dataType: 'SSCODELIST',
      },
      {
        name: 'n_eqtypepid_eq',
        prop: 'n_eqtypepid_eq',
      },

        {
          name:'size',
          prop:'size'
        },
        {
          name:'query',
          prop:'query'
        },
        {
          name:'page',
          prop:'page'
        },
        {
          name:'sort',
          prop:'sort'
        },
        {
          name:'srfparentdata',
          prop:'srfparentdata'
        },
        // 前端新增修改标识，新增为"0",修改为"1"或未设值
        {
          name: 'srffrontuf',
          prop: 'srffrontuf',
          dataType: 'TEXT',
        },
      ]
    }
  }

}