/**
 * TabExpViewtabexppanel 部件模型
 *
 * @export
 * @class TabExpViewtabexppanelModel
 */
export default class TabExpViewtabexppanelModel {

  /**
    * 获取数据项集合
    *
    * @returns {any[]}
    * @memberof TabExpViewtabexppanelModel
    */
  public getDataItems(): any[] {
    return [
      {
        name: 'num',
      },
      {
        name: 'eqisservice',
      },
      {
        name: 'warrantydate',
      },
      {
        name: 'innerlaborcost',
      },
      {
        name: 'keyattparam',
      },
      {
        name: 'foreignlaborcost',
      },
      {
        name: 'createman',
      },
      {
        name: 'jtsb',
      },
      {
        name: 'eqlife',
      },
      {
        name: 'lastzjdate',
      },
      {
        name: 'assettype',
      },
      {
        name: 'now',
      },
      {
        name: 'ytzj',
      },
      {
        name: 'disdate',
      },
      {
        name: 'assetstate',
      },
      {
        name: 'originalcost',
      },
      {
        name: 'techcode',
      },
      {
        name: 'orgid',
      },
      {
        name: 'materialcost',
      },
      {
        name: 'discost',
      },
      {
        name: 'description',
      },
      {
        name: 'updateman',
      },
      {
        name: 'usedyear',
      },
      {
        name: 'emassetname',
      },
      {
        name: 'replacecost',
      },
      {
        name: 'assetequipid',
      },
      {
        name: 'enable',
      },
      {
        name: 'eqlifeyear',
      },
      {
        name: 'assetsort',
      },
      {
        name: 'blsystemdesc',
      },
      {
        name: 'costcenterid',
      },
      {
        name: 'purchdate',
      },
      {
        name: 'eqstartdate',
      },
      {
        name: 'eqpriority',
      },
      {
        name: 'createdate',
      },
      {
        name: 'disdesc',
      },
      {
        name: 'syqx',
      },
      {
        name: 'updatedate',
      },
      {
        name: 'replacerate',
      },
      {
        name: 'assetinfo',
      },
      {
        name: 'emasset',
        prop: 'emassetid',
      },
      {
        name: 'hj',
      },
      {
        name: 'assetcode',
      },
      {
        name: 'assetdesc',
      },
      {
        name: 'eqserialcode',
      },
      {
        name: 'assetlct',
      },
      {
        name: 'eqmodelcode',
      },
      {
        name: 'eqsumstoptime',
      },
      {
        name: 'sf',
      },
      {
        name: 'pplace',
      },
      {
        name: 'empname',
      },
      {
        name: 'labservicename',
      },
      {
        name: 'contractname',
      },
      {
        name: 'assetclassname',
      },
      {
        name: 'deptname',
      },
      {
        name: 'acclassname',
      },
      {
        name: 'eqlocationname',
      },
      {
        name: 'rservicename',
      },
      {
        name: 'rempname',
      },
      {
        name: 'assetclasscode',
      },
      {
        name: 'mgrdeptmgr',
      },
      {
        name: 'mgrempname',
      },
      {
        name: 'unitname',
      },
      {
        name: 'mgrdeptname',
      },
      {
        name: 'mservicename',
      },
      {
        name: 'assetclassid',
      },
      {
        name: 'acclassid',
      },
      {
        name: 'eqlocationid',
      },
      {
        name: 'deptid',
      },
      {
        name: 'rempid',
      },
      {
        name: 'empid',
      },
      {
        name: 'mgrdeptid',
      },
      {
        name: 'unitid',
      },
      {
        name: 'mserviceid',
      },
      {
        name: 'labserviceid',
      },
      {
        name: 'rserviceid',
      },
      {
        name: 'contractid',
      },
    ]
  }


}